Summary: Microcode for the Intel Wireless WiFi Link 3945AGN
Name: iwlwifi-3945-ucode
Version: 15.32.2.9
Release: 1%{?dist}
License: distributable
Group: System Environment/Kernel
URL: http://intellinuxwireless.org/?p=iwlwifi
Source0: http://intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
The file iwlwifi-3945.ucode provided in this package is required to be
present on your system in order for the Intel Wireless WiFi Link
3945AGN driver for Linux (iwl3945) to be able to operate on your
system.

On adapter initialization, and at varying times during the uptime of 
the adapter, the microcode is loaded into the RAM on the network 
adapter.  The microcode provides the low level MAC features including 
radio control and high precision timing events (backoff, transmit, 
etc.) while also providing varying levels of packet filtering which can 
be used to keep the host from having to handle packets that are not of 
interest given the current operating mode of the device.

This packages contains all releases of the firmware up to version %{version},
as well as their respective README documents.

%prep
%setup -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
install -p *.ucode  %{buildroot}/lib/firmware/
install -p LICENSE* %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE* README*
/lib/firmware/*

%changelog
* Mon Oct 12 2009 Troy Dawson <dawson@fnal.gov> - 15.32.2.9-1
- Update to 15.32.2.9

* Thu Feb 12 2009 Troy Dawson <dawson@fnal.gov> - 15.28.2.8-1
- Initial build based on the iwlwifi-4965-ucode spec file
- Added older firmwares as well, it now has iwlwifi-3945-2.ucode
  iwlwifi-3945-1.ucode, and iwlwifi-3945.ucode
- Added the README's to go along with the older firmwares

